# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '9_2_create_a_database_table.ui'
#
# Created by: PyQt5 UI code generator 5.15.2
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.resize(533, 370)
        self.pushButtonAddColumn = QtWidgets.QPushButton(Dialog)
        self.pushButtonAddColumn.setGeometry(QtCore.QRect(370, 150, 115, 40))
        self.pushButtonAddColumn.setObjectName("pushButtonAddColumn")
        self.pushButtonCreateTable = QtWidgets.QPushButton(Dialog)
        self.pushButtonCreateTable.setGeometry(QtCore.QRect(150, 220, 181, 40))
        self.pushButtonCreateTable.setObjectName("pushButtonCreateTable")
        self.labelResponse = QtWidgets.QLabel(Dialog)
        self.labelResponse.setGeometry(QtCore.QRect(30, 290, 441, 61))
        self.labelResponse.setText("")
        self.labelResponse.setObjectName("labelResponse")
        self.layoutWidget = QtWidgets.QWidget(Dialog)
        self.layoutWidget.setGeometry(QtCore.QRect(20, 0, 451, 84))
        self.layoutWidget.setObjectName("layoutWidget")
        self.formLayout = QtWidgets.QFormLayout(self.layoutWidget)
        self.formLayout.setContentsMargins(0, 0, 0, 0)
        self.formLayout.setObjectName("formLayout")
        self.label = QtWidgets.QLabel(self.layoutWidget)
        self.label.setObjectName("label")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label)
        self.lineEditDBName = QtWidgets.QLineEdit(self.layoutWidget)
        self.lineEditDBName.setObjectName("lineEditDBName")
        self.formLayout.setWidget(
            0, QtWidgets.QFormLayout.FieldRole, self.lineEditDBName
        )
        self.label_2 = QtWidgets.QLabel(self.layoutWidget)
        self.label_2.setObjectName("label_2")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_2)
        self.lineEditTableName = QtWidgets.QLineEdit(self.layoutWidget)
        self.lineEditTableName.setObjectName("lineEditTableName")
        self.formLayout.setWidget(
            1, QtWidgets.QFormLayout.FieldRole, self.lineEditTableName
        )
        self.layoutWidget1 = QtWidgets.QWidget(Dialog)
        self.layoutWidget1.setGeometry(QtCore.QRect(21, 120, 171, 70))
        self.layoutWidget1.setObjectName("layoutWidget1")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.layoutWidget1)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label_3 = QtWidgets.QLabel(self.layoutWidget1)
        self.label_3.setObjectName("label_3")
        self.verticalLayout.addWidget(self.label_3)
        self.lineEditColumnName = QtWidgets.QLineEdit(self.layoutWidget1)
        self.lineEditColumnName.setObjectName("lineEditColumnName")
        self.verticalLayout.addWidget(self.lineEditColumnName)
        self.layoutWidget2 = QtWidgets.QWidget(Dialog)
        self.layoutWidget2.setGeometry(QtCore.QRect(210, 120, 151, 70))
        self.layoutWidget2.setObjectName("layoutWidget2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.layoutWidget2)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.label_4 = QtWidgets.QLabel(self.layoutWidget2)
        self.label_4.setObjectName("label_4")
        self.verticalLayout_2.addWidget(self.label_4)
        self.comboBoxDataType = QtWidgets.QComboBox(self.layoutWidget2)
        self.comboBoxDataType.setObjectName("comboBoxDataType")
        self.comboBoxDataType.addItem("")
        self.comboBoxDataType.addItem("")
        self.comboBoxDataType.addItem("")
        self.verticalLayout_2.addWidget(self.comboBoxDataType)

        self.retranslateUi(Dialog)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "Dialog"))
        self.pushButtonAddColumn.setText(_translate("Dialog", "Add Column"))
        self.pushButtonCreateTable.setText(_translate("Dialog", "Create Table"))
        self.label.setText(_translate("Dialog", "Edit database name"))
        self.label_2.setText(_translate("Dialog", "Edit table name"))
        self.label_3.setText(_translate("Dialog", "Column Name"))
        self.label_4.setText(_translate("Dialog", "Data Type"))
        self.comboBoxDataType.setItemText(0, _translate("Dialog", "INTEGER"))
        self.comboBoxDataType.setItemText(1, _translate("Dialog", "REAL"))
        self.comboBoxDataType.setItemText(2, _translate("Dialog", "TEXT"))
